<template>
  <component :is="componentId"></component>
</template>
<script setup>
import index1 from "./one/index.vue";
import index2 from "./two/index.vue";
import index3 from "./three/index.vue";
const route = useRoute();
const role = localStorage.getItem("select_identity");
const componentId = shallowRef(null);
onMounted(() => {
  if (role == 1) {
    componentId.value = index1;
  } else if (role == 2) {
    componentId.value = index2;
  } else if (role == 4) {
    componentId.value = index3;
  } else if (role == 8) {
    componentId.value = index3;
  } else if (role == 16) {
    componentId.value = index3;
  } else {
    alert("暂无身份");
  }
});
</script>